%define upstream_name    Algorithm-Permute
%define upstream_version 0.12

%{?perl_default_filter}


Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:    Handy and fast permutation with OO interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-devel


%description
This handy module makes performing permutation in Perl easy and fast,
although perhaps its algorithm is not the fastest on the earth. It supports
permutation r of n objects where 0 < r <= n. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.120.0-15.mga6
+ Revision: 1022263
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.120.0-14.mga6
+ Revision: 956670
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.120.0-13.mga6
+ Revision: 844183
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-12.mga5
+ Revision: 747036
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.120.0-11.mga5
+ Revision: 731816
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-10.mga5
+ Revision: 683456
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.120.0-9.mga5
+ Revision: 630788
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-8.mga4
+ Revision: 524205
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.120.0-7.mga4
+ Revision: 430542
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-6.mga3
+ Revision: 362889
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.120.0-5.mga3
+ Revision: 250259
- rebuild for perl 5.16

* Sat Jun 11 2011 jquelin <jquelin> 0.120.0-4.mga2
+ Revision: 103445
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.120.0-3.mga1
+ Revision: 29778
- mageia rebuild
- imported package perl-Algorithm-Permute

